## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType > Class Template Reference

Collaboration diagram for XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >:

[legend]
List of all members.

## Public Types

- typedef XalanVector< ObjectType * > VectorType
- typedef ObjectType CacheObjectType

## Public Member Functions

- XalanObjectCache (MemoryManagerType &theManager, unsigned int initialListSize=0)
- ~XalanObjectCache ()
- ObjectType * get ()
- bool release (ObjectType *theInstance)
- void reset ()

## Public Attributes

- CreateFunctorType m_createFunctor
- DeleteFunctorType m_deleteFunctor
- ResetFunctorType m_resetFunctor

### template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
class XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >

## Member Typedef Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef ObjectType XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::CacheObjectType

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef XalanVector<ObjectType*> XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::VectorType

## Constructor & Destructor Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::XalanObjectCache | ( | MemoryManagerType & | theManager,
|  | unsigned int | initialListSize = 0
| ) | `[explicit]`

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::~XalanObjectCache | ( |  | ) |

## Member Function Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType* XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::get | ( |  | ) |

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
bool XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::release | ( | ObjectType * | theInstance | ) |

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
void XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::reset | ( |  | ) |

## Member Data Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
CreateFunctorType XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::m_createFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
DeleteFunctorType XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::m_deleteFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ResetFunctorType XalanObjectCache< ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType >::m_resetFunctor

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.